Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class EntityNameSearchUse

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.EntityNameSearchUse

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class EntityNameSearchUse

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Entity Name Search Use', and utility methods for working with them. specDomain: V19619 (C-0-D15913-V200-V19619-cpt)

See Also:
  `CDAR2Package.getEntityNameSearchUse()`

Field Summary
`static int` | `PHON` The 'PHON' literal value.
`static EntityNameSearchUse` | `PHON_LITERAL` The 'PHON' literal object.
`static int` | `SNDX` The 'SNDX' literal value.
`static EntityNameSearchUse` | `SNDX_LITERAL` The 'SNDX' literal object.
`static int` | `SRCH` The 'SRCH' literal value.
`static EntityNameSearchUse` | `SRCH_LITERAL` The 'SRCH' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Entity Name Search Use' enumerators.

Method Summary
`static EntityNameSearchUse` | `get(int value)` Returns the 'Entity Name Search Use' literal with the specified integer value.
`static EntityNameSearchUse` | `get(java.lang.String literal)` Returns the 'Entity Name Search Use' literal with the specified literal value.
`static EntityNameSearchUse` | `getByName(java.lang.String name)` Returns the 'Entity Name Search Use' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SRCH

    public static final int SRCH

  The 'SRCH' literal value.

  If the meaning of 'SRCH' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SRCH_LITERAL`, Constant Field Values

### PHON

    public static final int PHON

  The 'PHON' literal value.

  If the meaning of 'PHON' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PHON_LITERAL`, Constant Field Values

### SNDX

    public static final int SNDX

  The 'SNDX' literal value.

  If the meaning of 'SNDX' literal object isn't clear, there really should be more of a description here...

  See Also:
    `SNDX_LITERAL`, Constant Field Values

### SRCH_LITERAL

    public static final EntityNameSearchUse SRCH_LITERAL

  The 'SRCH' literal object.

  See Also:
    `SRCH`

### PHON_LITERAL

    public static final EntityNameSearchUse PHON_LITERAL

  The 'PHON' literal object.

  See Also:
    `PHON`

### SNDX_LITERAL

    public static final EntityNameSearchUse SNDX_LITERAL

  The 'SNDX' literal object.

  See Also:
    `SNDX`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Entity Name Search Use' enumerators.

Method Detail

### get

    public static EntityNameSearchUse get(java.lang.String literal)

  Returns the 'Entity Name Search Use' literal with the specified literal value.

### getByName

    public static EntityNameSearchUse getByName(java.lang.String name)

  Returns the 'Entity Name Search Use' literal with the specified name.

### get

    public static EntityNameSearchUse get(int value)

  Returns the 'Entity Name Search Use' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD